# Arithmo MCP Server

An MCP server providing fast arithmetic operations like addition, subtraction, multiplication, and division — designed for speed and simplicity.

## Project Overview

**Arithmo MCP Server** is a lightweight, high-performance server built using MCP (Message Communication Protocol) for handling arithmetic operations over MCP clients. This project serves as an educational and functional example of how to build and run MCP-based services.

## Features

- Perform arithmetic operations: Addition, Subtraction, Multiplication, Division
- Simple CLI command: `simple-calculator`
- Lightweight with minimal dependencies
- Built with Python 3.10+
- Extensible for additional operations and services

## Getting Started

### Prerequisites

- Python >= 3.10
- MCP package (ensure MCP is installed)

### Installation

Once the package is published on PyPI, install it using pip:

```bash
pip install arithmo_mcp_server
```

### Usage

After installation, start the server by running:

```bash
simple-calculator
```

This will launch the Arithmo MCP server and begin listening for incoming MCP requests.

### Example

Run the following command to start the server:

```bash
$ simple-calculator
Starting Arithmo MCP Server...
```
